Subject: Re: bug#2497: 23.0.91; Fails to read UTF-8 on Win2k

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Feb 2009 14:21:08 +0200

> From: David Engster <[email-masked]>
> Date: Fri, 27 Feb 2009 18:46:12 +0100
> Cc: [email-masked], [email-masked]
> 
> Uwe Siart <[email-masked]> writes:
> > I'm using the windows port of 23.0.91 on Win2k SP4 and I found that it
> > fails to read utf-8 encoded files correctly. When visiting a file in
> > utf-8 encoding all characters above 255 are screwed up and "C-h C RET"
> > indicates iso-latin1-dos for saving the file. This has not been an
> > issue in 23.0.90.
> 
> Maybe this is a duplicate of what I reported in
> 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2354
> 
> As I write later in that bug report, I think I could track down this
> issue to the change in revision 1.413 of src/coding.c. Maybe you could
> try if the same applies to your problem.

Should be fixed by this change:

2009-02-28  Eli Zaretskii  <[email-masked]>

	* coding.c (detect_coding_charset): Fix change from 2008-10-21.
	Also, check iso-latin-*, not only iso-8859-*.